// Format 2 Sub Task Flags
const SInt16	kFormat2RequiredSubTask				= 0x8000;			// so could alert the user if try to skip
const SInt16	kFormat2SelectInitially				= 0x4000;			// is it initially checked?
const SInt16	kFormat2ForceInstallWithPriorScript	= 0x0400;			// Installer Task only - forces a script to install if the prior script installed
const SInt16	kFormat2SkipIfSrcDoesNotExist		= 0x0200;			//  a script to install if the prior script installed




// Format 3 Sub Task Flags
const SInt16	kFormat3RequiredSubTask				= 0x8000;			// so could alert the user if try to skip
const SInt16	kFormat3SelectInitially				= 0x4000;			// is it initially checked?
const SInt16	kFormat3ForceInstallWithPriorScript	= 0x2000;			// forces a script to install if the prior script installed
const SInt16	kFormat3SkipIfSrcDoesNotExist		= 0x1000;			// Skipped if source does not exist
const SInt16	kFormat3EasyInstallModeAvailable	= 0x0800;			// Installer script supports easy install
const SInt16	kFormat3CustomInstallModeAvailable	= 0x0400;			// Installer script supports custom install
const SInt16	kFormat3CustomRemoveModeAvailable	= 0x0200;			// Installer script supports custom remove
const SInt16	kFormat3ShowEasyInCustomInstallList	= 0x0100;			// Installer script supports custom remove
const SInt16	kFormat3UseCompFeatureLookup		= 0x0080;			// Helps certain types of rule frameworks be more compatibile with custom selection.
const SInt16	kFormat3RequireRestartForEasy		= 0x0040;			// Whether the Installer requires a restart when installing an easy feature set onto the boot volume.




// Stream Sub Task Flags
const SInt16	kStreamRequiredSubTask				= 0x8000;			// so could alert the user if try to skip
const SInt16	kStreamSelectInitially				= 0x4000;			// is it initially checked?
const SInt16	kStreamForceInstallWithPriorScript	= 0x2000;			// forces a script to install if the prior script installed
const SInt16	kStreamSkipIfSrcDoesNotExist		= 0x1000;			// Skipped if source does not exist
const SInt16	kStreamEasyInstallModeAvailable		= 0x0800;			// Installer script supports easy install
const SInt16	kStreamCustomInstallModeAvailable	= 0x0400;			// Installer script supports custom install
const SInt16	kStreamCustomRemoveModeAvailable	= 0x0200;			// Installer script supports custom remove
const SInt16	kStreamShowEasyInCustomInstallList	= 0x0100;			// Installer script supports custom remove
const SInt16	kStreamUseCompFeatureLookup			= 0x0080;			// Helps certain types of rule frameworks be more compatibile with custom selection.
const SInt16	kStreamRequireRestartForEasy		= 0x0040;			// Whether the Installer requires a restart when installing an easy feature set onto the boot volume.



enum {
	kCouldntGetIPPRHandle							= 1502,
	kCouldntGetInRSRCStream							= 1503,
	kCouldntGetOutRSRCStream						= 1504,							
	kUnknownIPPRFormat								= 1505,
	kCouldntGetSoftwareNamesListRSRCHandle			= 1506,
	kCouldntGetSoftwareNamesListRSRCStream			= 1507,
	kCouldntGetInstallerAppflrfRSRCHandle			= 1508,
	kCouldntGetInstallerAppflrfRSRCStream			= 1509,
	kUnknownFLRFFormat								= 1510,
	kCouldntGetInstallerDocflrfRSRCHandle			= 1511,
	kCouldntGetInstallerDocflrfRSRCStream			= 1512,
	kCouldntGetInstallerAuxDocflrfRSRCHandle		= 1513,
	kCouldntGetInstallerAuxDocflrfRSRCStream		= 1514,
	kSizeStreamNull									= 1515,
	kNotAllReturned									= 1516	
};
	
enum {
	kIPPRType				= 	'ippr',
	kFLRFType				=	'flrf'
};
	
/****************************************************************************************************
 You can use the ReadIPPR function to get a pointer to a stream of data retrieved from the ClientData file for 
 which the FSSpec is passed in to the function.


 OSErr ReadIPPR(FSSpec* inClientDataFileFSSpec, 
 				Ptr outTheIPPRStream, 
 				Size maximumSize, 
 				Size* theSizeOfStream);
 				
 
 inClientDataFileFSSpec		The FSSpec for the ClientData file.
 
 outTheIPPRStream			A pointer to the buffer in which the return stream is stored.  If this parameter is NIL, this function
 							will just return the size of the output stream.
 
 maximumSize				The maximim lengrh, in bytes, of the data to be returned.  You must allocate at leas this amount
 							of storage for the buffer specified by the outTheIPPRStream parameter.
 							
 theSizeOfStream			The length, in bytes, of the data for the IPPR in the specified ClientData file.  If this value is 
 							larger than the value of the maximumSize parameter, not all of the dtat for the paramter was returned,
 							and Result Code kNotAllReturned will be returned.
 							
 							
 
****************************************************************************************************/

 
	
	
OSErr ReadIPPR(FSSpec* inClientDataFileFSSpec, Ptr outTheIPPRStream, Size maximumSize, Size* theSizeOfStream);

	